com.amazonaws.services.workspaces.model

## Class FailedWorkspaceChangeRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.FailedWorkspaceChangeRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class FailedWorkspaceChangeRequest
    extends Object
    implements Serializable, Cloneable

Contains information about a WorkSpace that could not be rebooted (RebootWorkspaces), rebuilt (RebuildWorkspaces), terminated (TerminateWorkspaces), started (StartWorkspaces), or stopped (StopWorkspaces).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FailedWorkspaceChangeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FailedWorkspaceChangeRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getErrorCode()` The error code.
`String` `getErrorMessage()` The textual error message.
`String` `getWorkspaceId()` The identifier of the WorkSpace.
`int` `hashCode()`
`void` `setErrorCode(String errorCode)` The error code.
`void` `setErrorMessage(String errorMessage)` The textual error message.
`void` `setWorkspaceId(String workspaceId)` The identifier of the WorkSpace.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`FailedWorkspaceChangeRequest` `withErrorCode(String errorCode)` The error code.
`FailedWorkspaceChangeRequest` `withErrorMessage(String errorMessage)` The textual error message.
`FailedWorkspaceChangeRequest` `withWorkspaceId(String workspaceId)` The identifier of the WorkSpace.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailedWorkspaceChangeRequest

    public FailedWorkspaceChangeRequest()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The identifier of the WorkSpace.

Parameters:
  `workspaceId` - The identifier of the WorkSpace.

#### getWorkspaceId

    public String getWorkspaceId()

The identifier of the WorkSpace.

Returns:
  The identifier of the WorkSpace.

#### withWorkspaceId

    public FailedWorkspaceChangeRequest withWorkspaceId(String workspaceId)

The identifier of the WorkSpace.

Parameters:
  `workspaceId` - The identifier of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorCode

    public void setErrorCode(String errorCode)

The error code.

Parameters:
  `errorCode` - The error code.

#### getErrorCode

    public String getErrorCode()

The error code.

Returns:
  The error code.

#### withErrorCode

    public FailedWorkspaceChangeRequest withErrorCode(String errorCode)

The error code.

Parameters:
  `errorCode` - The error code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

The textual error message.

Parameters:
  `errorMessage` - The textual error message.

#### getErrorMessage

    public String getErrorMessage()

The textual error message.

Returns:
  The textual error message.

#### withErrorMessage

    public FailedWorkspaceChangeRequest withErrorMessage(String errorMessage)

The textual error message.

Parameters:
  `errorMessage` - The textual error message.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public FailedWorkspaceChangeRequest clone()

Overrides:
  `clone` in class `Object`